#
# spec file for package kdepim-addons
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdepim-addons
Version:        16.08.2
Release:        1.1
Summary:        Addons for KDEPIM applications
License:        GPL-2.0
Group:          Productivity/Graphics/Other
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
BuildRequires:  akonadi-calendar-devel
BuildRequires:  akonadi-notes-devel
BuildRequires:  akonadi-server-devel
BuildRequires:  calendarsupport-devel
BuildRequires:  eventviews-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  grantleetheme-devel
BuildRequires:  incidenceeditor-devel
BuildRequires:  kcalutils-devel
BuildRequires:  kconfig-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdepim-apps-libs-devel
BuildRequires:  kf5-filesystem
BuildRequires:  kdeclarative-devel
BuildRequires:  ki18n-devel
BuildRequires:  ktnef-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  libgravatar-devel
BuildRequires:  libkdepim-devel
BuildRequires:  libkgapi-devel
BuildRequires:  libkleo-devel
BuildRequires:  mailcommon-devel
BuildRequires:  messagelib-devel
BuildRequires:  pimcommon-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Test) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.6.0
BuildRequires:  pkgconfig(Qt5WebEngine) >= 5.6.0
BuildRequires:  pkgconfig(Qt5WebEngineWidgets) >= 5.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
addons for kdepim apps (as kmail addons/ kmail theme/ kaddressbook addons etc)

%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
  %kf5_makeinstall -C build
    %suse_update_desktop_file -u org.kde.akonadimailreader    Network Email


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_kf5_configdir}/kdepim-addons.categories
%{_kf5_configdir}/kmail.antispamrc
%{_kf5_configdir}/kmail.antivirusrc
%{_bindir}/kmail_antivir.sh
%{_bindir}/kmail_clamav.sh
%{_bindir}/kmail_fprot.sh
%{_bindir}/kmail_sav.sh
%dir %{_libdir}/akonadi/
%dir %{_libdir}/akonadi/contact/
%dir %{_libdir}/akonadi/contact/editorpageplugins/
%{_libdir}/akonadi/contact/editorpageplugins/cryptopageplugin.so
%{_libdir}/libshorturlpluginprivate.so*
%{_kf5_plugindir}/kmail/
%{_kf5_plugindir}/korg_datenums.so
%{_kf5_plugindir}/korg_hebrew.so
%{_kf5_plugindir}/korg_picoftheday.so
%{_kf5_plugindir}/korg_thisdayinhistory.so
%{_kf5_plugindir}/messageviewer/
%{_kf5_plugindir}/pimcommon/
%{_datadir}/kmail2/
%{_kf5_servicesdir}/korganizer/
%{_kf5_plugindir}/kaddressbook/
%{_libdir}/libkaddressbookmergelibprivate.so.*
%{_kf5_plugindir}/messageviewer_bodypartformatter_application_mstnef.so
%{_kf5_plugindir}/messageviewer_bodypartformatter_text_vcard.so
%{_kf5_plugindir}/messageviewer_bodypartformatter_text_xdiff.so
%{_datadir}/messageviewer/
%{_libdir}/libadblocklibprivate.so.*
%{_kf5_plugindir}/messageviewer_bodypartformatter_text_calendar.so
%{_kf5_plugindir}/plasmacalendarplugins/
%{_kf5_plugindir}/webengineviewer/
%dir %{_kf5_qmldir}/org/kde/plasma
%{_kf5_qmldir}/org/kde/plasma/PimCalendars/
%{_datadir}/kconf_update/webengineurlinterceptoradblock.upd

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Wed Jul 27 2016 wbauer@tmo.at
- Cleanup build requirements
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
